Skip to main content
GET
/
?module=block&action=getblockcountdown
Get Estimated Block Countdown Time by Block Number
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=block&action=getblockcountdown'
{
  "status": "1",
  "message": "OK",
  "result": {
    "currentBlock": "<string>",
    "countdownBlock": "<string>",
    "remainingBlock": "<string>",
    "estimateTimeInSec": "<string>"
  }
}

Query Parameters

module
enum<string>
required

Module name (must be 'block')

Available options:
block
action
enum<string>
required
Available options:
getblockcountdown
blockno
integer
required

Target block number

Response

200 - application/json

Block countdown retrieved successfully

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"

result
object